Bug 25310 - magicdev wastes CPU cycles
magicdev wastes CPU cycles
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: magicdev (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Mason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-30 11:56 EST by josip
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-30 11:56:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description josip 2001-01-30 11:56:15 EST
magicdev-0.2.7-5 takes too much CPU time (typically 18 percent) without any
device activity.  This happens on a dual CPU machine with two (idle, empty)
CD-ROM drives (on hdc and hdd), one of which is attached via ide-scsi
driver.  This 18 percent load is excessive, something under 5 percent would
be more acceptable, and less than 1 percent would be ideal.
Comment 1 Elliot Lee 2001-02-01 16:26:33 EST
magicdev periodically checks the devices for new media. The indicated CPU load
is primarily a function of hardware - e.g. IDE will consume more CPU time than
SCSI.

There's really nothing that can be done on the magicdev end to reduce the
indicated CPU load, but you can take consolation in the ability to turn magicdev
off if it is causing real problems, and ignore it if it is not.
Comment 2 Gunther Mayer 2006-02-20 09:53:13 EST
The root-cause might be related to
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=179573,
but there is not enough data above to be sure.

Note You need to log in before you can comment on or make changes to this bug.